package dfatool.strategy.elements;


public class Atom extends NamedElement{
	private String alphabet;
	private String behaviour;
	
	public Atom(String name, String behaviour, String alphabet) {
		this.alphabet = alphabet;
		this.behaviour = behaviour;
		this.name = name;
	}

	public String getAlphabet() {
		return alphabet;
	}

	public void setAlphabet(String alphabet) {
		this.alphabet = alphabet;
	}

	public String getBehaviour() {
		return behaviour;
	}

	public void setBehaviour(String behaviour) {
		this.behaviour = behaviour;
	}

	
	@Override
	public String toString() {
		return "Atom "+name;
	}

}
